CUPTI (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 3.3. CUpti_ActivityAutoBoostState Struct Reference

## [CUPTI Activity API]

This structure defines auto boost state for a device. See function /ref cuptiGetAutoBoostState

### Public Variables

uint32_t enabled
uint32_t pid

### Variables

uint32_t CUpti_ActivityAutoBoostState::enabled [inherited]

  Returned auto boost state. 1 is returned in case auto boost is enabled, 0 otherwise

uint32_t CUpti_ActivityAutoBoostState::pid [inherited]

  Id of process that has set the current boost state. The value will be CUPTI_AUTO_BOOST_INVALID_CLIENT_PID if the user does not have the permission to query process ids or there is an error in querying the process id.